template:
  nombre: Prueba consulta de saldo
  descripcion: Test de flujo actual del autorizador atm
  responsable: Hector
  requerimiento: SISPAG-0001
  id: x891k
  activo: true
  implementations:
  - name: atmiso2json
    method_value: http-post
    route: /atmiso2json
    active: true
    threads: false
    use_case_value: process
    description: Proceso principal del flujo de consulta de saldo
    request:
    - name: iso8583
      type_value: String
      container_value: body
      condition_value: '>='
      default: base.atmiso2json.iso8583
      required: true
    - name: metadata
      type_value: String
      container_value: body
      condition_value: '>='
      default: base.person-add.person.lastname
      required: true
    response:
    - name: iso8583
      type_value: String
      container_value: body
      condition_value: '>='
      default: base.atmiso2json.iso8583
      required: true
    - name: metadata
      type_value: String
      container_value: body
      condition_value: '>='
      default: base.person-add.person.lastname
      required: true
    relations:
    - name: dispatcher
      method_value: http-post
      route: /dispatcher
      active: true
      threads: false
      use_case_value: process
      description: Permite realizar una consulta a la BD de datos del autorizador
      request:
      - name: data
        type_value: String
        container_value: body
        condition_value: '>='
        default: atmiso2json.iso8583
        required: true
      response:
      - name: data
        type_value: String
        container_value: body
        condition_value: '>='
        default: base.dispatcher.data
        required: true
      - name: responsecode
        type_value: String
        container_value: body
        condition_value: '>='
        default: base.dispatcher.responsecode
        required: true
    - name: oquester
      method_value: http-post
      route: /oquester
      active: true
      threads: false
      use_case_value: process
      description: Permite realizar todas las validaciones del proceso
      request:
      - name: data
        type_value: String
        container_value: body
        condition_value: '>='
        default: atmiso2json.data
        required: true
      response:
      - name: data
        type_value: String
        container_value: body
        condition_value: '>='
        default: base.dispatcher.data
        required: true
      - name: responsecode
        type_value: String
        container_value: body
        condition_value: '>='
        default: base.dispatcher.responsecode
        required: true
      relations:
      - name: hsm
        method_value: http-post
        route: /oquester
        active: true
        threads: false
        use_case_value: process
        description: Permite realizar las validaciones relacionadas a hsm
        request:
        - name: data
          type_value: String
          container_value: body
          condition_value: '>='
          default: oquester.data
          required: true
        response:
        - name: data
          type_value: String
          container_value: body
          condition_value: '>='
          default: base.hsm.data
          required: true
        - name: responsecode
          type_value: String
          container_value: body
          condition_value: '>='
          default: base.hsm.responsecode
          required: true
      - name: binstatus
        method_value: http-post
        route: /binstatus
        active: true
        threads: false
        use_case_value: process
        description: Permite realizar las validaciones relacionadas a binstatus
        request:
        - name: data
          type_value: String
          container_value: body
          condition_value: '>='
          default: oquester.data
          required: true
        response:
        - name: data
          type_value: String
          container_value: body
          condition_value: '>='
          default: base.binstatus.data
          required: true
        - name: responsecode
          type_value: String
          container_value: body
          condition_value: '>='
          default: base.binstatus.responsecode
          required: true
      - name: limits
        method_value: http-post
        route: /limits
        active: true
        threads: false
        use_case_value: process
        description: Permite realizar las validaciones relacionadas a binstatus
        request:
        - name: data
          type_value: String
          container_value: body
          condition_value: '>='
          default: oquester.data
          required: true
        response:
        - name: data
          type_value: String
          container_value: body
          condition_value: '>='
          default: base.limits.data
          required: true
        - name: responsecode
          type_value: String
          container_value: body
          condition_value: '>='
          default: base.limits.responsecode
          required: true
  justificacion: hola req
